<template>
    <view class="page">
	<NavBar :title="$t('批次信息')"></NavBar>
	<view class="infoedit">
		<u-form ref="form" :modelValue="form" class="login-form" :labelWidth="160">
			<u-form-item prop="te010" :label="$t('批号：')" :class="{'disabled': index !== null}">
				<input
					v-model="form.te010"
					type="text"
					:disabled="index !== null"
				>
				</input>
			</u-form-item>
			<u-form-item prop="te025" :label="$t('库位：')">
				<input
					v-model="form.te025"
					type="text"
					@confirm="submit"
				>
				</input>
			</u-form-item>
			<u-form-item prop="quantity" :label="$t('领料数量：')">
				<input
					v-model.number="form.quantity"
					type="text"
					@confirm="submit"
				>
				</input>
			</u-form-item>
			<u-form-item style="width:95%;">
			<view style="display: flex;width: 100%;">
				<button
					size="medium"
					type="primary"
					style="width:19%;margin-top: 50rpx;margin-right: 40rpx"
					@click="del()"
					v-if="index !== null"
				>
					<span>{{$t('移除')}}</span>
				</button>
				<button
					size="medium"
					type="primary"
					style="flex: 1;margin-top: 50rpx"
					@click="submit()"
				>
					<span>{{$t('确定')}}</span>
				</button>
			</view>
			</u-form-item>
		</u-form>
	</view>
    </view>
  </template>
  
  <script>
import i18n from '../../lang/index'

  import StickyNavBar from "@/components/StickyNavBar/index.vue";
  import ContentLoadingMore from "@/components/ContentLoadingMore/index.vue";
  export default {
    components: {
      StickyNavBar,
      ContentLoadingMore,
    },
	onLoad(option) {
		if (option.info) {
			this.form = JSON.parse(decodeURIComponent(option.info));
			this.index = option.index || null
			this.num = option.num || null
		}
	},
    data() {
      return {
		info: null,
		index: null,
		chargaArr: [],
		num: 0,
		form: {
			cd003: null,
			cd004: null,
			cd005: null,
			cd011: null,
			cd008: null,
			cd018: null,
			cd019: null,
		}
      };
    },
    created() {
    },
    methods: {
		calcchargaArr(num1){
			const max = this.form.tb004
			if ((Number(this.num) + Number(num1)) > max) {
				return true
			}
			return false
		},
		del(){
			let pages = getCurrentPages() 
			
			// 2. 上一页面实例
				// 注意是length长度，所以要想得到上一页面的实例需要 -2
				// 若要返回上上页面的实例就 -3，以此类推
			let prevPage = pages[pages.length -2] 
			// 3. 给上一页面实例绑定getValue()方法和参数（注意是$vm）
			prevPage.$vm.getValue(this.form, this.index, true) 
			
			// 4. 返回上一页面
			uni.navigateBack({
				delta: 1 // 返回的页面数
			})
		},
		submit() {
            if (!this.form['te010']) {
                return this.$u.toast(i18n.t('请输入批号'))
            }
			if (!this.form['te025']) {
                return this.$u.toast(i18n.t('请输入库位'))
            }
            if (!this.form['quantity']) {
                return this.$u.toast(i18n.t('请输入领料数量'))
            }
			if(this.calcchargaArr(this.form.quantity)) return this.$u.toast(i18n.t('超出可领料数量'))
			
			let pages = getCurrentPages() 
			
			// 2. 上一页面实例
				// 注意是length长度，所以要想得到上一页面的实例需要 -2
				// 若要返回上上页面的实例就 -3，以此类推
			let prevPage = pages[pages.length -2] 
			// 3. 给上一页面实例绑定getValue()方法和参数（注意是$vm）
			prevPage.$vm.getValue(this.form, this.index) 
			
			// 4. 返回上一页面
			uni.navigateBack({
				delta: 1 // 返回的页面数
			})
		}
    },
  };
  </script>
  
  <style lang="scss" scoped>
  /deep/ .u-sticky {
    top: 0 !important;
    background: #fff;
  }
  .infoedit {
	padding: 20rpx 20rpx;
	.underline {
		border-bottom: 1px solid #d5d5d5;
		padding-bottom: 0px;
    	line-height: 40px;
		font-weight: 500;
		margin-left: 20rpx;
		font-size: 19px;
	}
	.u-border-bottom:after {
		display: none;
	}
	
  }
  .batchContent{
	color: #787878;
	font-size: 17px;
	width: 100%;
	padding: 15rpx;
	.itemtitle{
		font-weight: 600;
		font-size: 19px;
	}
	&>view{
		width: 100%;
		display: flex;
		justify-content: space-between;
	}
  }
  </style>
  